Gecode::Float::Rel::NqFloat< View > Class Template Reference
Other available functionality » Float propagators

Binary bounds consistent disequality propagator with float value. More...

`#include <rel.hh>`

## Public Member Functions

| NqFloat (Home home, View x, FloatVal c)
| Constructor for posting.
virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::UnaryPropagator< View, PC_FLOAT_VAL >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as PC_UNARY_LO).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, View x0, FloatVal c)
| Post bounds consistent propagator .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| NqFloat (Space &home, NqFloat< View > &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::UnaryPropagator< View, PC_FLOAT_VAL >
| UnaryPropagator (Space &home, UnaryPropagator &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Protected Attributes

FloatVal | c
| Float constant to check.
Protected Attributes inherited from Gecode::UnaryPropagator< View, PC_FLOAT_VAL >
View | x0
| Single view.

## Detailed Description

template<class View>
class Gecode::Float::Rel::NqFloat< View >

Binary bounds consistent disequality propagator with float value.

Requires

#include <gecode/float/rel.hh>
rel.hh

Definition at line 207 of file rel.hh.

## Constructor & Destructor Documentation

## NqFloat() [1/2]

template<class View>

Gecode::Float::Rel::NqFloat< View >::NqFloat | ( | Space & | home,
|  | NqFloat< View > & | p )

inline protected

Constructor for cloning p.

Definition at line 104 of file nq.hpp.

## NqFloat() [2/2]

template<class View>

Gecode::Float::Rel::NqFloat< View >::NqFloat | ( | Home | home,
|  | View | x,
|  | FloatVal | c )

inline

Constructor for posting.

Definition at line 87 of file nq.hpp.

## Member Function Documentation

## copy()

template<class View>

Actor * Gecode::Float::Rel::NqFloat< View >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 109 of file nq.hpp.

## propagate()

template<class View>

ExecStatus Gecode::Float::Rel::NqFloat< View >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 115 of file nq.hpp.

## post()

template<class View>

ExecStatus Gecode::Float::Rel::NqFloat< View >::post | ( | Home | home,
|  | View | x0,
|  | FloatVal | c )

static

Post bounds consistent propagator .

Definition at line 92 of file nq.hpp.

## Member Data Documentation

## c

template<class View>

FloatVal Gecode::Float::Rel::NqFloat< View >::c

protected

Float constant to check.

Definition at line 213 of file rel.hh.

The documentation for this class was generated from the following files:

- gecode/float/rel.hh
- gecode/float/rel/nq.hpp